summaryrefslogtreecommitdiff
path: root/tools/testing/selftests/gpio
diff options
context:
space:
mode:
authorAndy Shevchenko <andriy.shevchenko@linux.intel.com>2023-04-11 20:15:21 +0300
committerBartosz Golaszewski <bartosz.golaszewski@linaro.org>2023-06-16 11:10:08 +0200
commit61c65a8b50c22ef17839df6f342df44a5631400a (patch)
treea892bc2c9798c4970602dbfd6e36362188ea8956 /tools/testing/selftests/gpio
parentcd33f216d241520385a5166ae73a0771197a9f0b (diff)
selftests: gpio: gpio-sim: Use same variable name for sysfs pathname
SYSFS_PATH can be used locally and globally, especially that has the same content. Signed-off-by: Andy Shevchenko <andriy.shevchenko@linux.intel.com> Signed-off-by: Bartosz Golaszewski <bartosz.golaszewski@linaro.org>
Diffstat (limited to 'tools/testing/selftests/gpio')
-rwxr-xr-xtools/testing/selftests/gpio/gpio-sim.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tools/testing/selftests/gpio/gpio-sim.sh b/tools/testing/selftests/gpio/gpio-sim.sh
index 9f539d454ee4..9f0df867b509 100755
--- a/tools/testing/selftests/gpio/gpio-sim.sh
+++ b/tools/testing/selftests/gpio/gpio-sim.sh
@@ -152,9 +152,9 @@ sysfs_set_pull() {
local PULL=$4
local DEVNAME=`configfs_dev_name $DEV`
local CHIPNAME=`configfs_chip_name $DEV $BANK`
- local SYSFSPATH="/sys/devices/platform/$DEVNAME/$CHIPNAME/sim_gpio$OFFSET/pull"
+ local SYSFS_PATH="/sys/devices/platform/$DEVNAME/$CHIPNAME/sim_gpio$OFFSET/pull"
- echo $PULL > $SYSFSPATH || fail "Unable to set line pull in sysfs"
+ echo $PULL > $SYSFS_PATH || fail "Unable to set line pull in sysfs"
}
# Load the gpio-sim module. This will pull in configfs if needed too.